| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csBaseRenderStepLoader Class Reference
[Common Plugin Classes]

Base class for render step loaders. More...

`#include <csplugincommon/renderstep/basesteploader.h>`

Inheritance diagram for csBaseRenderStepLoader:

[legend]
List of all members.

## Public Member Functions
virtual bool | Initialize (iObjectRegistry *object_reg)
| Initialize the component.
virtual csPtr< iBase > | Parse (iDocumentNode *node, iStreamSource *ssource, iLoaderContext *ldr_context, iBase *context)=0
| Parse a given document node and return a new object for it.
## Protected Attributes
iObjectRegistry * | object_reg
csRef< iSyntaxService > | synldr

## Detailed Description

Base class for render step loaders.

Definition at line 41 of file basesteploader.h.

## Member Function Documentation

virtual bool csBaseRenderStepLoader::Initialize | ( | iObjectRegistry * | object_reg | ) | `[virtual]`

Initialize the component.

This is automatically called by system driver at startup so that plugin can do basic initialization stuff, register with the system driver and so on.

Implements iComponent.

virtual csPtr<iBase> csBaseRenderStepLoader::Parse | ( | iDocumentNode * | node,
|  | iStreamSource * | ssource,
|  | iLoaderContext * | ldr_context,
|  | iBase * | context |
| ) |  |  | `[pure virtual]`

Parse a given document node and return a new object for it.

Parameters:

  | node | The node to parse.
  | ssource | An optional stream source where we can get (additional) resources from, such as buffers, in a fast way.
  | ldr_context | Can be used to get the context for the loading. You can use this to find meshes/materials/...
  | context | The context in which we are loading (can be the mesh wrapper for meshes for example).

Implements iLoaderPlugin.

The documentation for this class was generated from the following file:

- csplugincommon/renderstep/basesteploader.h